Test::Assign::BoolTest Class Referenceabstract

Base class for tests for branching on Boolean variables More...

`#include <assign.hh>`

## Public Member Functions

| BoolTest (const std::string &s, int a)
| Construct and register test.
virtual bool | run (void)
| Perform test.
virtual void | post (Gecode::Space &home, Gecode::BoolVarArray &x)=0
| Post assignment on variables x.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Attributes

int | arity
| Number of variables.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for tests for branching on Boolean variables

Definition at line 80 of file assign.hh.

## Constructor & Destructor Documentation

## BoolTest()

Test::Assign::BoolTest::BoolTest | ( | const std::string & | s,
|  | int | a )

Construct and register test.

## Member Function Documentation

## run()

virtual bool Test::Assign::BoolTest::run | ( | void |  | ) |

virtual

Perform test.

Implements Test::Base.

## post()

virtual void Test::Assign::BoolTest::post | ( | Gecode::Space & | home,
|  | Gecode::BoolVarArray & | x )

pure virtual

Post assignment on variables x.

Implemented in Test::Assign::Bool.

## Member Data Documentation

## arity

int Test::Assign::BoolTest::arity

protected

Number of variables.

Definition at line 83 of file assign.hh.

The documentation for this class was generated from the following file:

- test/assign.hh